import request from "@/utils/request";

// 修改户主
export function updateHolder(data) {
  return request({
    url: `/taicangpop/data/sethouse?id=${data.id}&houseid=${data.houseid}`,
    method: "post",
  });
}

export function getNum(data) {
  return request({
    url: `/taicangpop/data/getnum?buildingid=${data.buildingId}`,
    method: "get",
  });
}

export function getPeopellist(data) {
  return request({
    url: `/taicangpop/data/getpeopellist?deptid=${data.deptid}&deptname=${data.deptname}`,
    method: "get",
  });
}
// 获取社保信息
export function getPeopelShebaoInfo(data) {
  return request({
    url: `/taicangpop/datasql/diaoyong?SFZH=${data.SFZH}`,
    method: "get",
  });
}

// 获取社区List-ID
export function getCommunitylist() {
  return request({
    url: `/taicangpop/data/getshequ`,
    method: "get",
  });
}

// 获取小区List-ID
export function getXiaoqulist() {
  return request({
    url: `taicangpop/data/getxiaoqulist`,
    method: "get",
  });
}
